Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Interface HL7RecourseActionInfoInterface

All Known Implementing Classes:
  HL7RecourseActionInfo

    public interface HL7RecourseActionInfoInterface

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/22 05:54:46 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getActionOnMaxFailedReadRetry()` Returns the Action on Max Failed Read Retry reached.
`java.lang.String` | `getActionOnMaxNakReceived()` Returns the Action on Max NAK Received.
`java.lang.String` | `getActionOnMaxNakSent()` Returns the Action on Max NAK sent.
`java.lang.String` | `getActionOnMaxNoResponse()` Returns the Action on Max No response.
`java.lang.String` | `getActionOnNakReceived()` Returns the Action on Nak received.
`java.lang.String` | `getActionOnNoResponse()` Returns the Action on No Response.
`void` | `setActionOnMaxFailedReadRetry(java.lang.String string)` Sets the Action on Max Failed Read Retry reached.
`void` | `setActionOnMaxNakReceived(java.lang.String string)` Sets the Action on Max NAK Received.
`void` | `setActionOnMaxNakSent(java.lang.String string)` Sets the Action on Max NAK sent.
`void` | `setActionOnMaxNoResponse(java.lang.String string)` Sets the Action on Max No Response.
`void` | `setActionOnNakReceived(java.lang.String string)` Sets the Action on NAK Received.
`void` | `setActionOnNoResponse(java.lang.String string)` Sets the Action on No Response.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getActionOnMaxFailedReadRetry

    java.lang.String getActionOnMaxFailedReadRetry()

  Returns the Action on Max Failed Read Retry reached.

  Returns:
    String-Exit or Reset

### getActionOnMaxNakReceived

    java.lang.String getActionOnMaxNakReceived()

  Returns the Action on Max NAK Received.

  Returns:
    String-Exit or Reset or SkipMessage.

### getActionOnMaxNakSent

    java.lang.String getActionOnMaxNakSent()

  Returns the Action on Max NAK sent.

  Returns:
    String-Exit or Reset

### getActionOnMaxNoResponse

    java.lang.String getActionOnMaxNoResponse()

  Returns the Action on Max No response.

  Returns:
    String-Exit or Reset

### getActionOnNakReceived

    java.lang.String getActionOnNakReceived()

  Returns the Action on Nak received.

  Returns:
    String-Resend or Reset or SkipMessage

### getActionOnNoResponse

    java.lang.String getActionOnNoResponse()

  Returns the Action on No Response.

  Returns:
    String-Exit or Resend or Reset

### setActionOnMaxFailedReadRetry

    void setActionOnMaxFailedReadRetry(java.lang.String string)
                                       throws HL7ApplicationException

  Sets the Action on Max Failed Read Retry reached.

  Parameters:
    `string-Exit` - or Reset
  Throws:
    `HL7ApplicationException`

### setActionOnMaxNakReceived

    void setActionOnMaxNakReceived(java.lang.String string)
                                   throws HL7ApplicationException

  Sets the Action on Max NAK Received.

  Parameters:
    `string-Exit` - or Reset or SkipMessage.
  Throws:
    `HL7ApplicationException`

### setActionOnMaxNakSent

    void setActionOnMaxNakSent(java.lang.String string)
                               throws HL7ApplicationException

  Sets the Action on Max NAK sent.

  Parameters:
    `string-Exit` - or Reset
  Throws:
    `HL7ApplicationException`

### setActionOnMaxNoResponse

    void setActionOnMaxNoResponse(java.lang.String string)
                                  throws HL7ApplicationException

  Sets the Action on Max No Response.

  Parameters:
    `string-Exit` - or Reset
  Throws:
    `HL7ApplicationException`

### setActionOnNakReceived

    void setActionOnNakReceived(java.lang.String string)
                                throws HL7ApplicationException

  Sets the Action on NAK Received.

  Parameters:
    `string-Resend` - or Reset or SkipMessage
  Throws:
    `HL7ApplicationException`

### setActionOnNoResponse

    void setActionOnNoResponse(java.lang.String string)
                               throws HL7ApplicationException

  Sets the Action on No Response.

  Parameters:
    `string-Exit` - or Resend or Reset
  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD